%define	version 1.2.0.20100305
%define	release %mkrel 1

Name:      ibus-table-tv
Summary:   ibus-table-tv - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ibus-table-devel >= 1.2.0
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0.20091113-2

%description
ibus-table-tv provides Thai and Vietnamese input methods on IBus Table
under IBus framework.

%package -n ibus-table-th
Summary:   Thai language support via ibus-table
Group:     System/Internationalization
Requires:  ibus-table >= 1.2.0.20091113-2
Requires:  locales-th
Obsoletes: ibus-table-thai < 1.2.0.20100108

%description -n ibus-table-th
ibus-table-th provides Thai input method on IBus Table under IBus framework.

%package -n ibus-table-vi
Summary:   Vietnamese language support via ibus-table
Group:     System/Internationalization
Requires:  ibus-table >= 1.2.0.20091113-2
Requires:  locales-vi

%description -n ibus-table-vi
ibus-table-vi provides Vietnamese input method on IBus Table under IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files -n ibus-table-th
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/tables/thai.db

%files -n ibus-table-vi
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/viqr.png
%{_datadir}/ibus-table/tables/viqr.db


%changelog
* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100305-1mdv2010.1
+ Revision: 538614
- update to new version 1.2.0.20100305

* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100108-2mdv2010.1
+ Revision: 492814
- obsoletes ibus-table-thai
- import ibus-table-tv


